> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a faculty activity configuration

> Returns a faculty activity configuration



## OpenAPI

````yaml /openapi.json get /api/v1/faculty_activity_configurations/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/faculty_activity_configurations/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Faculty Activity Configurations
      summary: Get a faculty activity configuration
      description: Returns a faculty activity configuration
      operationId: getFacultyActivityConfiguration
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      responses:
        '200':
          description: faculty activity configuration found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FacultyActivityConfiguration'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    FacultyActivityConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: faculty_activity_configuration
          example: faculty_activity_configuration
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            start_date_property:
              type:
                - string
                - 'null'
            end_date_property:
              type:
                - string
                - 'null'
            singular_title:
              type: string
            plural_title:
              type: string
            key:
              type: string
            properties:
              type: array
              items:
                type: object
                properties:
                  key:
                    type: string
                  label:
                    type: string
                  type:
                    type: string
                    enum:
                      - string
                      - number
                      - boolean
                      - array
                      - object
                      - contiguous_terms
                      - date
                      - decimal
                      - integer
                      - moment
                      - moment_with_month
                      - rich_text
                      - term
                      - text
                      - url
                      - usd
                      - year
                  choices:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                  allow_multiple:
                    type: boolean
                required:
                  - key
                  - label
                  - type
                additionalProperties: false
        relationships:
          type: object
          properties: {}
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````